/**
 * 
 */
package it.foo.controller;

import javax.enterprise.context.RequestScoped;
import javax.inject.Named;

import org.richfaces.event.FileUploadEvent;

/**
 * @author Roberto Contiero
 *
 */
@Named
@RequestScoped
public class TestController {

	private String fileName;
	
	public void fileUploadListener(FileUploadEvent event) {
		try {
			event.getUploadedFile().getInputStream().close();
			fileName = event.getUploadedFile().getName();
		} catch (Exception e) {
			System.out.println(e);
		}
	}

	/**
	 * @return the fileName
	 */
	public String getFileName() {
		return fileName;
	}

	/**
	 * @param fileName the fileName to set
	 */
	public void setFileName(String fileName) {
		this.fileName = fileName;
	}
	
}
